DROP TABLE IF EXISTS customer;

CREATE TABLE customer (
	id BIGSERIAL PRIMARY KEY,
	firstname VARCHAR(128) NOT NULL,
	surname VARCHAR(128),
	birthday TIMESTAMP,
	address VARCHAR(256)
);

DROP TABLE IF EXISTS account;

CREATE TABLE account (
	id BIGSERIAL PRIMARY KEY,
	customer_id BIGSERIAL REFERENCES account(id) NOT NULL,
	account_number BIGSERIAL NOT NULL,
	balance NUMERIC(19, 2) NOT NULL,
	active BOOLEAN NOT NULL DEFAULT TRUE
);